Skip to main content
GET
/
order_items
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.orderItems.get({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
  --url https://api.crevio.co/v1/order_items/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/order_items/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/order_items/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "quantity": 123,
  "price_variant": "<string>",
  "product": "<string>",
  "order": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "bad_request",
    "message": "The request was malformed or contained invalid parameters"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "authentication_required",
    "message": "You did not provide an API key."
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "forbidden",
    "message": "You do not have permission to perform this action"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "resource_missing",
    "message": "The requested resource was not found"
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "An unexpected error occurred"
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Query Parameters

expand
string

Comma-separated relations to expand: order, price_variant, product

Response

Order item details

id
string
required
object
string
required
quantity
integer
required
price_variant
required

ID by default, full object when expanded

product
required

ID by default, full object when expanded

order

ID by default, full object when expanded